package org.xwiki.cache;

public interface Cache
{
    void addCacheEntryListener(CacheEntryListener listener);
    
    void removeCacheEntryListener(CacheEntryListener listener);
    
    void set(String key, Object obj);

    Object get(String key) throws CacheNeedsRefreshException;

    Object get(String key, int refeshPeriod) throws CacheNeedsRefreshException;

    void remove(String key);
    
    void removeAll();
    
    int getSize();

    void cancelUpdate(String key);
}
