package org.xwiki.cache.internal;

import java.util.Properties;

import org.xwiki.cache.CacheFactory;
import org.xwiki.cache.Cache;
import org.xwiki.cache.CacheException;

public class DefaultCacheFactory implements CacheFactory
{
    /**
     * This component's role hint, used when code needs to look it up.
     */
    public static final String ROLEHINT = "default";

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.CacheFactory#newCache(java.lang.String)
     */
    public Cache newCache(String cacheName) throws CacheException
    {
        return new DefaultCache();
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.CacheFactory#newCache(java.lang.String, int)
     */
    public Cache newCache(String cacheName, int capacity) throws CacheException
    {
        return newCache(cacheName);
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.CacheFactory#newCache(java.lang.String, java.util.Properties)
     */
    public Cache newCache(String cacheName, Properties props) throws CacheException
    {
        return newCache(cacheName);
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.CacheFactory#newCache(java.lang.String, java.util.Properties, int)
     */
    public Cache newCache(String cacheName, Properties props, int capacity)
        throws CacheException
    {
        return newCache(cacheName);
    }
}
