package org.xwiki.cache.internal;

import java.util.Properties;

import org.xwiki.cache.LocalCacheFactory;
import org.xwiki.cache.Cache;
import org.xwiki.cache.CacheException;

public class DefaultLocalCacheFactory implements LocalCacheFactory
{
    /**
     * This component's role hint, used when code needs to look it up.
     */
    public static final String ROLEHINT = "default";

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.LocalCacheFactory#newLocalCache()
     */
    public Cache newLocalCache() throws CacheException
    {
        return new DefaultCache();
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.LocalCacheFactory#newLocalCache(int)
     */
    public Cache newLocalCache(int capacity) throws CacheException
    {
        return newLocalCache();
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.LocalCacheFactory#newLocalCache(java.util.Properties)
     */
    public Cache newLocalCache(Properties props) throws CacheException
    {
        return newLocalCache();
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.LocalCacheFactory#newLocalCache(java.util.Properties, int)
     */
    public Cache newLocalCache(Properties props, int capacity) throws CacheException
    {
        return newLocalCache();
    }
}
